#pragma once

#include "Core/PrintVisitor.h"

class Store;
class Ship;

class FullInfoPrintVisitor : public PrintVisitor {
public:
    void visit(const Store&) const override;
    void visit(const Ship&) const override;

private:
    void print() const;
};
